<?php
/**
 * Tiles
 * @package Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All rights reserved
 * @Joomla! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version $Revision: 0.9.0 beta $
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );

class PluginCAddScriptHelper {
    private static $instance;

    /* cleanText function - Thx owed to eXtplorer, joomSEO and Jean-Marie Simonet */
    public static function cleanText($text)
    {
        $text = preg_replace("'<script[^>]*>.*?</script>'si", '', $text);
        $text = preg_replace('/<!--.+?-->/', '', $text);
        $text = preg_replace('/{.+?}/', '', $text);

        // convert html entities to chars (with conditional for PHP4 users
        if ((version_compare(phpversion(), '5.0') < 0)) {
            require_once(JPATH_SITE . DS . 'libraries' . DS . 'tcpdf' . DS . 'html_entity_decode_php4.php');
            $text = html_entity_decode_php4($text, ENT_QUOTES, 'UTF-8');
        } else {
            $text = html_entity_decode($text, ENT_QUOTES, 'UTF-8');
        }

        $text = strip_tags($text); // Last check to kill tags
        $text = str_replace('"', '\'', $text); //Make sure all quotes play nice with meta.
        $text = str_replace(array("\r\n", "\r", "\n", "\t"), " ", $text); //Change spaces to spaces

        // remove any extra spaces
        while (strchr($text, "  ")) {
            $text = str_replace("  ", " ", $text);
        }

        // general sentence tidyup
        for ($cnt = 1; $cnt < strlen($text); $cnt++) {
            // add a space after any full stops or comma's for readability
            // added as strip_tags was often leaving no spaces
            if (($text{$cnt} == '.') || (($text{$cnt} == ',') && !(is_numeric($text{$cnt + 1})))) {

                // WTF?!!! I hate copying code
                /*if ($text{$cnt+1} != ' ') {
                    $text = substr_replace($text, ' ', $cnt + 1, 0);
                }*/
            }
        }

        return $text;
    }

}